
/*
 * @Date: 2020-12-29 16:49:28
 * @LastEditors: zwq
 * @LastEditTime: 2023-01-05 15:49:17
 * @FilePath: \basic-admin\src\filters\basicData\index.js
 * @Description:
 */
import i18n from "@/i18n";

const table = {
  status: {
    '0': '不可用',
    '1': '可用',
  },
  fType: {
    '1': '内部工厂',
    '2': '供应商',
  },
  tType: {
    '1': '计量',
    '2': '计数',
  },
  uType: {
    '1': '可计数',
    '2': '不可计数',
  },
  inspectionStage: {
    1: '进货检验',
    2: '过程检验',
    3: '成品检验',
    4: '出货检验',
  }
}

export default function(dictTable) {
  return function(val) {
    return table?.[dictTable]?.[val]
  }
}